{$M 4000,0,0}
uses dos,crt;

{$L PLAYER.DAT}
{$F+}
procedure modvolume(v1,v2,v3,v4:integer); external ;
procedure moddevice(var device:integer); external ;
procedure modsetup(var status:integer;device,mixspeed,pro,loop:integer;var str:string); external ;
procedure modstop; external ;
procedure modinit; external;
{$F-}

var
 dev,mix,stat,pro,loop : integer;
 md : string;
 ch: char;
 s: string;

begin
        md:='agony2.mod';
        modinit;
        clrscr;
        WRITELN(' VECTOR LAME (C) 1994 by PARADiSE ');
        WRITELN(' -------------------------------- ');
        WRITELN(' Select output device : ');
        WRITELN('   a. PC Speaker ');
        WRITELN('   b. D/A Converter ');
        WRITELN('   c. Sound Blaster ');
        WRITELN;
        ch:=readkey;
        case upcase(ch) of
         'A': dev:=0;
         'B': dev:=1;
         'C': dev:=7;
         else dev:=0;
        end;
        mix := 10000;
        pro := 0;
        loop :=4;
        modvolume (255,255,255,255);
	modsetup ( stat, dev, mix, pro, loop, md );
	while keypressed do readkey;
        exec('vtext.dat','');
        while keypressed do readkey;
        modstop;
        exec('vballs.dat','');
        while keypressed do readkey;
        exec('vskulls.dat','');
        while keypressed do readkey;
end.